# TSType

String with the name of a PETSc TS method or the creation function with an optional dynamic library name, for example http://www.mcs.anl.gov/petsc/lib.a:mytscreate()

### Synopsis

    #define TSType const char*
    #define TS_EULER           "euler"
    #define TS_BEULER          "beuler"
    #define TS_PSEUDO          "pseudo"
    #define TS_CRANK_NICHOLSON "crank-nicholson"
    #define TS_SUNDIALS        "sundials"
    #define TS_RUNGE_KUTTA     "runge-kutta"

    /*E
        TSProblemType - Determines the type of problem this TS object is to be used to solve

    .seealso: TSCreate()
    E*/
    typedef enum {TS_LINEAR,TS_NONLINEAR} TSProblemType;

### See Also

TSSetType(), TS

Level:beginner
Location: src/ts/../../include/petscts.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages